Skip to content

# Interface: WorkspaceModel

## Hierarchy

- WorkspaceModel

## Implemented by

- Workspace

## Index

### Properties

- description
- id
- lastActiveClusterId
- name
- ownerRef

## Properties

### `Optional` description

• description? : string

Defined in src/common/workspace-store.ts:20

### id

• id: WorkspaceId

Defined in src/common/workspace-store.ts:18

### `Optional` lastActiveClusterId

• lastActiveClusterId? : ClusterId

Defined in src/common/workspace-store.ts:22

### name

• name: string

Defined in src/common/workspace-store.ts:19

### `Optional` ownerRef

• ownerRef? : string

Defined in src/common/workspace-store.ts:21